import { neode } from '@/app.ts';

export const PromptNeo = neode.model('Prompt', {
  id: {
    type: 'uuid',
    primary: true,
  },
  title: {
    type: 'string',
  },
  description: 'string',
  // profile: { type: 'object', optional: true }, // 用于存储 JSON 对象
  prompt: 'string',
  // inputVariables: { type: 'array', item },
  // tags: { type: 'array', items: 'string', optional: true } // 定义字符串数组
  inputVariables: { type: 'string', default: JSON.stringify([]) },
  localVariables: { type: 'string', default: JSON.stringify([]) },
});
